This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 830098 - Update Ruby to the latest point release
Update Ruby to the latest point release
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ruby (Show other bugs)
6.3
Unspecified Unspecified
urgent Severity unspecified
: rc
: ---
Assigned To: Vít Ondruch
Iveta Wiedermann
: Rebase
Depends On:
Blocks: 836170 947784
  Show dependency treegraph
 
Reported: 2012-06-08 04:20 EDT by Vít Ondruch
Modified: 2014-10-14 02:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: ruby-1.8.7.374-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 02:41:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2012-06-08 04:20:28 EDT
New Ruby 1.8.7 point release is about to come this month. Since it might be the last regular release [2], I think it might sense to rebase Ruby to the latest and greatest 1.8.7 version. This version should not introduce any API/ABI incompatibilities, so it should be safe to update.


[1] http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/45442
[2] http://www.ruby-lang.org/en/news/2011/10/06/plans-for-1-8-7/
Comment 1 Vít Ondruch 2012-06-08 04:24:19 EDT
Also please note that recent releases were typically just bug or security fixes and we carry the patches already, so this would help to cleanup the patches a bit.
Comment 4 Vít Ondruch 2013-03-28 05:48:37 EDT
There should be released the *LAST* ruby 1.8.7 release at end of May. After that, Ruby 1.8.7 reaches its EOL. Would be nice to have it in RHEL.
Comment 6 Lars Hecking 2013-07-02 07:08:00 EDT
Vít,

When you clean up patches, you need to remove this one completely:

# Source100: contains ext/tk directory of the head of ruby_1_8 branch
# i.e. http://svn.ruby-lang.org/repos/ruby/branches/ruby_1_8
# see bug 560053, 590503, and
# http://lists.fedoraproject.org/pipermail/ruby-sig/2010-May/000096.html
Source100:      ruby-1.8-rev%{tk_using_svn_number}_trunk-ext_tk.tar.gz

It dates back to 1.8.6 and is clearly superseded by 1.8.7. We ran into problems with ruby-1.8.7.352-10 tcltk.so (on CentOS, admittedly, but it's definitely an upstream bug :), and rebuilding the rpm with this patch disabled fixed it.

Thanks.
Comment 7 Vít Ondruch 2013-07-02 07:25:51 EDT
(In reply to Lars Hecking from comment #6)
Thanks for the report. I'll look into it if I get chance.
Comment 8 RHEL Product and Program Management 2013-10-13 20:37:01 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 12 errata-xmlrpc 2014-10-14 02:41:37 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1470.html

Note You need to log in before you can comment on or make changes to this bug.